(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(150/60);
	Pdef(\fm1).play(c, quant:8);
	Pdef(\fm2).play(c, quant:8);
	Pdef(\fm3).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\pad).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
}
)

(
Pdef(\fm1, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1, 2], inf),
	\freq, 100,
	\amp, Pseq([Pseries(0.3, 0.002, 100), Pseries(0.5, -0.002, 100)], inf),
	\sel, Pstutter(64, Pseq([3, 5], inf)),
	\selFreq, Pstutter(4, Pseq([3.25, 3], inf)),
	\sel2, 4,
	\amp2, Pn(Pstutter(8, Pseries(0, 2, 4), inf)),
	\distMix, Pstutter(32, Pseq([1, 0.5, 0, -0.5, -1, -0.5, 0, 0.5], inf))
));
)

(
Pdef(\fm2, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\freq, 600,
	\legato, 0.02,
	\amp, 0.4,
	\atk, 0.007,
	\rel, 0.02,
	\sel, 0,
	\amp2, Pseq([10, 100, 1000, 1000], inf),
	\freq2, 2,
	\selFreq2, 0,
	\amp3, 100,
	\freq3, 60,
	\ringMix, Pn(Pseries(-1, 0.01, 200), inf)
));
)

(
Pdef(\fm3, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\freq, Pseq([Pn(1500, 256), Pseq([1200, 1800], 128)], inf),
	\legato, Pseq([0.05, 0.02], inf),
	\amp, Pseq([0.5, 0.1, 0.5, 0, 0.1, 0.1, 0.4, 0.5], inf),
	\atk, 0.007,
	\rel, 0.1,
	\sel, 0,
	\amp2, Pn(Pseries(10, 2, 100), inf),
	\freq2, 2,
	\selFreq2, 0,
	\amp3, 100,
	\freq3, 100,
	\ringMix, 1
));
)

(
Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\freq, Pstutter(128, Pseq([60, 600, 60, 6], inf)),
	\legato, Pseq([0.08, 0.08, 0.08, 0.06], inf),
	\amp, Pseq([0.8, 0.6, 0.8, 0.5], inf)*Pseq([Pn(1, 128), Pn(0.5, 128)], inf),
	\atk, 0.007,
	\rel, 0.1
));
)

(
Pdef(\pad, Pbind(
	\instrument, \redMond,
	\dur, 4,
	\freq, Pseq([[500, 700], [500, 800]], inf),
	\pan, Pseq([0.3, 0, -0.3, 0], inf),
	\legato, Pseq([0.2, 0.17, 0.3, 0.17], inf),
	\amp, 0.1,
	\atk, 0.5,
	\rel, 0.5,
	\sel, 3,
	\selFreq, c.tempo.reciprocal*8,
	\distMix, Pseq([Pseries(-1, 0.01, 100), Pseries(1, -0.01, 100)], inf)
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\freq, 2000,
	\legato, 0.07,
	\amp, Pseq([0, 1, 0, 0.8], inf),
	\atk, 0,
	\rel, 0.2,
	\amp2, Pstutter(16, Pseq([1000, 800, 600, 400, 600, 800, 1000, 1200], inf)),
	\freq2, 100,
	\sel2, 3,
	\verbMix, 0
));
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.45, 0.55], inf),
	\freq, 2000,
	\legato, 0.07,
	\pan, Pseq([-0.3, 0.3], inf),
	\amp, Pseq([0.8, 1, 0.7, 1], inf)*0.2,
	\atk, 0,
	\rel, 0.3,
	\amp2, Pstutter(64, Pseq([1000, 800], inf)),
	\freq2, Pstutter(72, Pseq([1000, 800], inf)),
	\sel2, 3,
	\verbMix, -0.8,
	\ringMix, Pseq([Pseries(-1, 0.01, 100), Pseries(1, -0.01, 100)], inf)
));
)

Pdef(\fm1).stop
Pdef(\fm2).stop
Pdef(\fm3).stop
Pdef(\bd).stop
Pdef(\pad).stop
Pdef(\sn).stop
Pdef(\hh).stop
