(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(118/60);
	Pdef(\bd).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
	Pdef(\ch0).play(c, quant:8);
	Pdef(\ch1).play(c, quant:8);
	Pdef(\ch2).play(c, quant:8);
	Pdef(\ch3).play(c, quant:8);
}
)

(
Pdef(\bd, Pbind(
	\instrument, \redMond,
	\degree, 0,
	\dur, Pseq([Pn(1, 16), Pseq([0.25, 0.75], 16), Pseq([0.25, 0.5, 0.25], 16), Pseq([0.25, 0.25, 0.25, 0.25], 16), Pseq([0.25, 0.5, 0.25], 16), Pseq([0.25, 0.75], 16), Pn(1, 16)], inf),
	\legato, 0.1,
	\amp, Pseq([Pn(1, 16), Pseq([1, 0.3], 16), Pseq([1, 0.3, 0.2], 16), Pseq([1, 0.3, 0.2, 0.1], 16), Pseq([1, 0.3, 0.2], 16), Pseq([1, 0.3], 16), Pn(1, 16)], inf)*0.8,
	\octave, 3,
	\atk, 0.001,
	\amp2, Pseq([Pn(11, 16), Pseq([11, 55], 16), Pseq([11, 55, 88], 16), Pseq([11, 55, 88, 55], 16), Pseq([11, 55, 88], 16), Pseq([11, 55], 16), Pn(11, 16)], inf),
	\rel, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.1+0.05
));

Pdef(\hh, Pbind(
	\instrument, \redMond,
	\degree, 0,
	\dur, Pseq([0.27, 0.23], inf),
	\legato, 0.1,
	\amp, Pseq([Pn(1, 16), Pseq([1, 0.3], 16), Pseq([1, 0.3, 0.2], 16), Pseq([1, 0.3, 0.2, 0.1], 16), Pseq([1, 0.3, 0.2], 16), Pseq([1, 0.3], 16), Pn(1, 16)], inf)*0.06,
	\octave, 6,
	\atk, 0.001,
	\amp2, Pseq([Pn(11, 16), Pseq([11, 55], 16), Pseq([11, 55, 111], 16), Pseq([11, 55, 111, 55], 16), Pseq([11, 55, 111], 16), Pseq([11, 55], 16), Pn(11, 16)], inf),
	\rel, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*0.15+0.05,
	\distMix, 1,
	\distDeep, Pseq([Pn(2, 14), 1.5, 1], inf),
	\amp2, 1000,
	\freq2, Pseq([Pseries(0, 0.01, 120), Pseries(1, -0.01, 120)], inf)*30+30
));

Pdef(\ch0, Pbind(
	\instrument, \redMond,
	\pan, 0.4,
	\dur, 6,
	\degree, Pstutter(4, Pseq([4, 0, 4, 5], inf)),
	\octave, 5,
	\amp, Pseq([Pn(0.08, 23), 0], inf),
	\sel, 3,
	\selFreq, c.beatDur*Pseq([Pseries(0, 1, 10), Pseries(10, -1, 10)], inf),
	\amp2, 1,
	\freq2, 8,
	\ringMix, 0.5,
	\ringFreq, Pkey(\freq)*Pstutter(4, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringGain, Pstutter(2, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringRate, c.beatDur*2,
	\verbMix, 0.5,
	\verbDamp, 0.8,
	\verbRoom, 0.7,
	\moogMix, 0.5,
	\moogFreq, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*1000+500,
	\moodGain, 4
));

Pdef(\ch1, Pbind(
	\instrument, \redMond,
	\pan, -0.4,
	\dur, 8,
	\degree, Pstutter(3, Pseq([6, 4, 0], inf)),
	\octave, 5,
	\amp, Pseq([Pn(0.08, 15), 0], inf),
	\sel, 3,
	\selFreq, c.beatDur*Pseq([Pseries(0, 1, 10), Pseries(10, -1, 10)], inf),
	\amp2, 1,
	\freq2, 8,
	\ringMix, 0.5,
	\ringFreq, Pkey(\freq)*Pstutter(4, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringGain, Pstutter(2, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringRate, c.beatDur*2,
	\verbMix, 0.5,
	\verbDamp, 0.8,
	\verbRoom, 0.6,
	\moogMix, 0.5,
	\moogFreq, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*1000+500,
	\moodGain, 4
));

Pdef(\ch2, Pbind(
	\instrument, \redMond,
	\pan, 0.2,
	\dur, 12,
	\degree, Pseq([0, 4, 5, 6], inf),
	\octave, 5,
	\amp, Pseq([Pn(0.08, 11), 0], inf),
	\sel, 3,
	\selFreq, c.beatDur*Pseq([Pseries(0, 1, 10), Pseries(10, -1, 10)], inf),
	\amp2, 1,
	\freq2, 8,
	\ringMix, 0.5,
	\ringFreq, Pkey(\freq)*Pstutter(4, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringGain, Pstutter(2, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringRate, c.beatDur*2,
	\verbMix, 0.5,
	\verbDamp, 0.8,
	\verbRoom, 0.5,
	\moogMix, 0.5,
	\moogFreq, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*1000+500,
	\moodGain, 4
));

Pdef(\ch3, Pbind(
	\instrument, \redMond,
	\pan, -0.2,
	\dur, 16,
	\degree, Pstutter(4, Pseq([-6, -7], inf)),
	\octave, 5,
	\amp, Pseq([Pn(0.08, 7), 0], inf),
	\sel, 3,
	\selFreq, c.beatDur*Pseq([Pseries(0, 1, 10), Pseries(10, -1, 10)], inf),
	\amp2, 1,
	\freq2, 8,
	\ringMix, 0.5,
	\ringFreq, Pkey(\freq)*Pstutter(4, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringGain, Pstutter(2, Pseq([1, 1, 2, 3, 0.5], inf)),
	\ringRate, c.beatDur*2,
	\verbMix, 0.5,
	\verbDamp, 0.8,
	\verbRoom, 0.4,
	\moogMix, 0.5,
	\moogFreq, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)*1000+500,
	\moodGain, 4
));

)

Pdef.clear