(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(111/60);
	Pdef(\fre).play(c, quant:8);
	Pdef(\lor).play(c, quant:8);
	Pdef(\son).play(c, quant:8);
}
)

(
Pdef(\fre, Pbind(
	\instrument, \redMond,
	\dur, Pseq([2, 4, 6, 3, 1], inf)*2,
	\degree, Pseq([Pseq([0, 4, 4, 3, 1], 2), Pseq([0, 4, 6, 3, 1], 2), Pseq([0, 4, 5, 3, 1], 2)], inf),
	\amp, Pseq([Pn(0.1, 14), 0, 0], inf),
	\scale, Scale.aeolian,
	\octave, Pstutter(4, Pseq([5, 5, 5, 6, 5, 5, 5, 4], inf)),
	\legato, 0.4,
	\pan, Pseq([-0.1, 0, 0.1, 0, 0.1], inf),
	\rel, 5,
	\cur, 4,
	\ringMix, Pseq([Pseries(-1, 0.05, 40), Pseries(1, -0.05, 40)], inf),
	\ringFreq, Pkey(\freq)-(c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf)),
	\ringGain, Pseq([Pseries(2, 0.1, 50).round], inf),
	\ringRate, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\distMix, Pseq([Pseries(-1, 0.01, 50), Pseries(-0.5, -0.01, 50)], inf),
	\distFreq, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\distDeep, Pseq([Pseries(2, 0.1, 50).round], inf),
	\verbMix, 0,
	\verbRoom, 0.6,
	\verbDamp, 0.1,
	\amp2, Pseq([Pseries(2, 0.1, 50).round], inf),
	\freq2, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\amp3, Pseq([Pseries(2, 0.1, 50).round], inf),
	\freq3, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf)
));

Pdef(\lor, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1, 2, 4, 6, 3], inf)*2,
	\degree, Pseq([Pseq([0, 4, 4, 3, 1], 2), Pseq([0, 4, 6, 3, 1], 2), Pseq([0, 4, 5, 3, 1], 2)], inf),
	\amp, Pseq([Pn(0.1, 7), 0], inf)*0.75,
	\scale, Scale.aeolian,
	\octave, Pstutter(4, Pseq([5, 5, 5, 6, 5, 5, 5, 5, 4], inf))-1,
	\legato, 0.4,
	\pan, Pseq([-0.1, 0, 0.1, 0, 0.1], inf),
	\rel, 5,
	\cur, 4,
	\ringMix, Pseq([Pseries(-1, 0.05, 40), Pseries(1, -0.05, 40)], inf),
	\ringFreq, Pkey(\freq)-(c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf)),
	\ringGain, Pseq([Pseries(2, 0.1, 50).round], inf),
	\ringRate, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\distMix, Pseq([Pseries(-1, 0.01, 50), Pseries(-0.5, -0.01, 50)], inf),
	\distFreq, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\distDeep, Pseq([Pseries(2, 0.1, 50).round], inf),
	\verbMix, 0,
	\verbRoom, 0.6,
	\verbDamp, 0.1,
	\amp2, Pseq([Pseries(2, 0.1, 50).round], inf),
	\freq2, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\amp3, Pseq([Pseries(2, 0.1, 50).round], inf),
	\freq3, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf)
));

Pdef(\son, Pbind(
	\instrument, \redMond,
	\dur, Pseq([3, 1, 2, 4, 6], inf)*2,
	\degree, Pseq([Pseq([0, 4, 4, 3, 1], 2), Pseq([0, 4, 6, 3, 1], 2), Pseq([0, 4, 5, 3, 1], 2)], inf),
	\amp, Pseq([Pn(0.1, 3), 0], inf)*0.5,
	\scale, Scale.aeolian,
	\octave, Pstutter(4, Pseq([5, 5, 5, 6, 5, 5, 5, 5, 5, 4], inf))+1,
	\legato, 0.4,
	\pan, Pseq([-0.1, 0, 0.1, 0, 0.1], inf),
	\rel, 5,
	\cur, 4,
	\ringMix, Pseq([Pseries(-1, 0.05, 40), Pseries(1, -0.05, 40)], inf),
	\ringFreq, Pkey(\freq)-(c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf)),
	\ringGain, Pseq([Pseries(2, 0.1, 50).round], inf),
	\ringRate, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\distMix, Pseq([Pseries(-1, 0.01, 50), Pseries(-0.5, -0.01, 50)], inf),
	\distFreq, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\distDeep, Pseq([Pseries(2, 0.1, 50).round], inf),
	\verbMix, 0,
	\verbRoom, 0.6,
	\verbDamp, 0.1,
	\amp2, Pseq([Pseries(2, 0.1, 50).round], inf),
	\freq2, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf),
	\amp3, Pseq([Pseries(2, 0.1, 50).round], inf),
	\freq3, c.beatDur*Pseq([Pseries(2, 0.1, 50).round], inf)
));
)

Pdef.clear
