(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(1.2);
	Pdef(\komp).play(c, quant:4);
	Pdef(\komp2).play(c, quant:4);
	Pdef(\mel).play(c, quant:4);
	Pdef(\hh).play(c, quant:4);
	Pdef(\sn).play(c, quant:4);
	Pdef(\bas).play(c, quant:4);
	Pdef(\hh2).play(c, quant:4);
}
)

(
Pdef(\komp, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\degree, Pseq([0, 0, 0, 0, -3, -1], inf),
	\octave, 3,
	\amp, 1,
	\pan, 0.1,
	\atk, 0.01,
	\rel, 0.1,
	\combMix, 0.3,
	\ringMix, 0.7,
	\verbMix, 0,
	\distMix, -0.96,
	\distFreq, Pseq([1, 2, 3, 4, 3, 2, 1, 0.5, 0.25, 0.5], inf)/1.2,
	\distDeep, 0.25/1.2*Pseq([1, 1, 1, 1, 1, 0.5], inf)
));
Pdef(\komp2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pn(0.5, 15), 0.25, 0.125, 0.125], inf),
	\degree, Pseq([0, 0, 0, 0, 0, 6.9, \rest], inf),
	\octave, 3,
	\amp, 0.2,
	\pan, -0.1,
	\atk, 0.01,
	\rel, 0.1,
	\combMix, 0.3,
	\ringMix, 0.7,
	\verbMix, 0,
	\distMix, -0.96,
	\distFreq, Pseq([1, 2, 3, 4, 3, 2, 1, 0.5, 0.25, 0.5], inf)/1.2*Pseq([Pn(4, 14), 5, 6], inf),
	\distDeep, 0.5/1.2*Pseq([1, 1, 1, 10], inf)
));
)

(
Pdef(\mel, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pseq([0.25, 0.125], 4), Pseq([0.125, 0.125, 8], 2)], inf)*(1/3),
	\degree, Pseq([Pn(\rest, 8), 5, 4, 3, 1, 5, 4, 3, 0, 0, 1, 0, 0], inf),
	\octave, 7,
	\amp, 0.07,
	\pan, 0,
	\atk, 0.01,
	\rel, 0.1,
	\combMix, Pseq([0.3, 0.3, 0.9], inf),
	\ringMix, Pseq([-0.9, -0.8], inf),
	\verbMix, -0.3,
	\distMix, -0.96,
	\distFreq, 1/1.2,
	\distDeep, 1.2*Pseq([1, 1, 1.5, 1, 1, 0.5], inf)
));
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.235, 0.265], inf),
	\amp, Pseq([0.05, 0.1], inf)*0.5,
	\pan, Pseq([0.1, 0.2, 0.3, 0.2, 0.1, 0, -0.1, -0.2, -0.3, -0.2, -0.1, 0], inf),
	\degree, Pseq([0, 2], inf),
	\octave, 8,
	\legato, Pseq([0.1, 0.09, 0.08], inf),
	\atk, 0.001,
	\rel, 0.05,
	\sel, 3.3,
	\selFreq, 72.midicps,
	\amp2, 1200,
	\freq2, 72.midicps
));
)

(
Pdef(\mel, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pseq([0.25, 0.125], 4), Pseq([0.125, 0.125, 8], 2)], inf)*(1/3),
	\degree, Pseq([Pn(\rest, 8), 5, 4, 3, 1, 5, 4, 3, 0, 0, 1, 0, 0], inf),
	\octave, 7,
	\amp, 0.07,
	\pan, 0,
	\atk, 0.01,
	\rel, 0.1,
	\combMix, Pseq([0.3, 0.3, 0.9], inf),
	\ringMix, Pseq([-0.9, -0.8], inf),
	\verbMix, -0.3,
	\distMix, -0.96,
	\distFreq, 1/1.2,
	\distDeep, 1.2*Pseq([1, 1, 1.5, 1, 1, 0.5], inf),
	\sel, 2,
	\amp2, Pn(Pseries(1, 1, 50), inf),
	\freq2, Pn(Pseries(100, 1, 40), inf)
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 0.5,
	\amp, Pseq([0, 0.1, 0, 0.01], inf),
	\pan, 0,
	\degree, Pseq([0, 5, 0], inf),
	\octave, 7,
	\legato, Pseq([0.08, 0.07, 0.06, 0.6, 0.08, 0.07, 0.06, 0.05, 0.08, 0.1], inf),
	\atk, 0.001,
	\rel, 0.05,
	\sel, 4.3,
	\selFreq, 72.midicps,
	\amp2, 500,
	\freq2, 72.midicps
));
)

(
Pdef(\bas, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.235, 0.265], inf),
	\amp, Pseq([Pseq([0.3, 0, 0, 0, 0, 0.1], 5), 0, 0, Pseq([0.3, 0, 0, 0, 0, 0.1, 0.3, 0.1], 8), Pseq([0.3, 0.1, 0.1, 0.1], 2)], inf),
	\pan, 0,
	\degree, Pseq([0, 0, 0, 0, 0, 0, 0, 5], inf),
	\octave, 3,
	\legato, Pseq([0.1, 0.06, 0.07, 0.08, 0.09], inf),
	\atk, 0.001,
	\rel, 0.5,
	\verbMix, Pseq([-1, -1, -1, 1], inf)
));
)

(
Pdef(\hh2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([0.235, 0.265], inf),
	\amp, Pseq([0.05, 0.1, 0, 0, 0, 0.1], inf)*0.5,
	\pan, 0-Pseq([0.1, 0.2, 0.3, 0.2, 0.1, 0, -0.1, -0.2, -0.3, -0.2, -0.1, 0], inf),
	\degree, Pseq([0, 5], inf),
	\octave, 9,
	\legato, Pseq([0.1, 0.09, 0.08], inf),
	\atk, 0.001,
	\rel, 0.05,
	\sel, 1.3,
	\selFreq, 72.midicps,
	\amp2, 1800,
	\freq2, 72.midicps
));
)

(
Pdef(\komp, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\degree, Pseq([0, 0, 0, 0, -3, -1], inf),
	\octave, 3,
	\amp, Pseq([1, 0.8, 1, 0.8, 1, 0.8, 1, 0], inf),
	\pan, 0.1,
	\atk, 0.01,
	\rel, Pseq([Pn(0.1, 7), 10], inf),
	\combMix, 0.3,
	\ringMix, 0.7,
	\verbMix, 0,
	\distMix, -0.96,
	\distFreq, Pseq([1, 2, 3, 4, 3, 2, 1, 0.5, 0.25, 0.5], inf)/1.2,
	\distDeep, 0.25/1.2*Pseq([1, 1, 1, 1, 1, 0.5], inf)
));
Pdef(\komp2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pn(0.5, 15), 0.25, 0.125, 0.125], inf),
	\degree, Pseq([0, 0, 0, 0, 0, 5], inf),
	\octave, Pn(Pstutter(18, Pseq([3, 4, 5, 4], inf)), inf),
	\amp, Pseq([1, 0.8, 1, 0, 0.8, 1, 0.8, 1], inf)*0.18,
	\pan, -0.1,
	\atk, 0.01,
	\rel, Pseq([0.1, 0.1, 0.1, 10, 0.1, 0.1, 0.1, 0.1], inf),
	\combMix, 0.3,
	\ringMix, 0.7,
	\verbMix, 0,
	\distMix, -0.96,
	\distFreq, Pseq([1, 2, 3, 4, 3, 2, 1, 0.5, 0.25, 0.5], inf)/1.2*Pseq([Pn(4, 14), 5, 6], inf),
	\distDeep, 0.5/1.2*Pseq([1, 1, 1, 10], inf)
));
)

Pdef(\komp).stop
Pdef(\komp2).stop
Pdef(\mel).stop
Pdef(\hh).stop
Pdef(\hh2).stop
Pdef(\bas).stop
Pdef(\sn).stop