(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(130/60);
	Pdef(\bd).play(c, quant:16);
	Pdef(\vet).play(c, quant:16);
	Pdef(\inte).play(c, quant:16);
	Pdef(\hh).play(c, quant:16);
	Pdef(\hh2).play(c, quant:16);
	Pdef(\sn).play(c, quant:16);
	Pdef(\sn2).play(c, quant:16);
}
)

(
Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, Pseq([3, 1, 1, 1, 0.5, 1.5], inf),
	\freq, Pseq([60, \rest, 60, 50, 66, 66], inf),
	\legato, Pseq([0.4, 0.1, 0.4, 0.9, 0.5, 0.1], inf)*0.8,
	\amp, 1,
	\atk, 0.007,
	\rel, 0.02
));
)

(
Pdef(\vet, Pbind(
	\instrument, \redMond,
	\dur, Pseq([3, 1, 1, 1, 0.5, 1.5], inf),
	\midinote, Pseq([Pseq([60, \rest, 60, 50, \rest, 66], 3), Pseq([\rest, \rest, 60, 50, \rest, \rest], 1)], inf),
	\legato, Pseq([0.4, 0.1, 0.4, 0.9, 0.5, 0.1, 0.5, 0.5], inf),
	\amp, 0.15,
	\atk, 0.007,
	\rel, 0.01,
	\distMix, 0,
	\distFreq, Pkey(\freq)*2+1,
	\distDeep, 10,
	\ringMix, 0,
	\ringFreq, Pkey(\freq)/Pseq([Pn(4, 12), Pn(3, 10), 4, 3], inf)+0.5
));
)

(
Pdef(\inte, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pseq([3, 1, 1, 1, 0.5, 1.5], 3), Pseq([0.5, 3.5, 0.5, 1.5, 0.5, 1.5], 1)], inf)*0.5,
	\midinote, Pseq([Pseq([60, \rest, 60, 50, 66, 66], 2), Pseq([60, \rest, \rest, \rest, 66, 66], 1), Pseq([\rest, \rest, 60, 50, \rest, \rest], 1)], inf),
	\legato, Pseq([0.4, 0.1, 0.4, 1, 0.5, 0.1], inf)*0.1,
	\lag, Pseq([Pn(0.125, 24), Pn(0, 24)], inf),
	\amp, Pseq([0.2, 0.4], inf),
	\atk, 0.07,
	\rel, Pstutter(24, Pseq([0.01, 0.02, 0.03, 0.04, 0.05]*2, inf)),
	\distMix, Pseq([Pn(1, 15), 0.5], inf),
	\distFreq, Pkey(\freq)*2+2,
	\distDeep, 20
));
)

(
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\midinote, Pseq([60, 66], inf)*Pseq([0, Pn(1, 11)], inf),
	\legato, Pseq([0.4, 0.1, 0.4, 1, 0.5, 0.1, 0.1, 0.1], inf)*0.25,
	\lag, 0,
	\amp, Pseq([0.5, 0.8, 0.4, 0.8], inf)*Pseq([Pseries(0, 0.001, 100), Pseries(0.1, -0.0005, 200)], inf)*Pseq([Pn(1, 17), 2, Pn(1, 11), 2], inf),
	\atk, 0,
	\rel, 0.01,
	\ringMix, 0,
	\ringFreq, Pkey(\freq)*1+2,
	\ringRate, Pseq([20, 30, 40, 50], inf)
));
)

(
Pdef(\hh2, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\midinote, Pseq([60, 66], inf)+12*Pseq([Pn(1, 15), 0], inf),
	\legato, Pseq([0.4, 0.1, 0.4, 1, 0.5, 0.1, 0.1, 0.1], inf)*0.2,
	\lag, 0.25,
	\amp, Pseq([0.8, 0.4, 0.5, 0.8], inf)*Pseq([Pseries(0, 0.0005, 200), Pseries(0.1, -0.001, 200), Pn(0, 64)], inf),
	\atk, 0,
	\rel, 0.03,
	\sel, 4,
	\ringMix, 0.25,
	\ringFreq, Pkey(\freq)*1+2,
	\ringRate, Pstutter(8, Pseq([20, 30, 40, 50], inf))
));
)

(
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, Pseq([Pn(1, 15), Pn(0.25, 4)], inf),
	\midinote, Pseq([Pseq([60, 66], 7), 50, 60, 70, 80, 90], inf),
	\legato, 0.1,
	\amp, Pseq([Pseq([0, 0.2], 7), 0.1, 0.2, 0.05, 0.1, 0.2], inf),
	\atk, 0,
	\rel, 0.03,
	\sel, 3.4,
	\selFreq, 100,
	\amp2, Pseq([Pn(100, 15), 50, 100, 200, 300], inf)
));
)

(
Pdef(\sn2, Pbind(
	\instrument, \redMond,
	\dur, Pseq([4, Pn(0.5, 4)], inf),
	\midinote, Pseq([60, 66], inf)+24,
	\legato, 0.1,
	\amp, Pseq([Pseq([0, 0.2], 3), 0.1, 0.2, 0.05, 0.1, 0.2], inf)*0.3,
	\atk, 0,
	\rel, 0.01,
	\sel, 4,
	\selFreq, Pstutter(8, Pseq([200, 300, 400, 500, 600, 700], inf)),
	\amp2, 1000
));
)

Pdef(\bd).stop
Pdef(\sn2).stop
Pdef(\hh).stop
Pdef(\hh2).stop
Pdef(\vet).stop
Pdef(\inte).stop
Pdef(\sn).stop
