(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(80/60);
	Pdef(\tree).play(c, quant:8);
	Pdef(\plant).play(c, quant:8);
	Pdef(\bd).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\pad).play(c, quant:8);
	Pdef(\pad2).play(c, quant:8);
}
)

(
Pdef(\tree, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\amp, 0.2,
	\det, 0.9,
	\degree, Pseq([0, 0, 0, 1, 2, 2, 2, 2, 0, 0, 0, 1, 2, 2, 2, 1], inf),
	\scale, Scale.lydian,
	\octave, 3,
	\legato, 0.5,
	\atk, 0.001,
	\rel, Pseq([Pn(0.1, 16), Pn(1.1, 16)], inf),

	\sel, Pseq([Pseries(3, 1/16, 16)], inf),
	\selFreq, Pseq([0.4, 0.4, 0.4, 1.4], inf)*c.beatDur*10,

	\amp2, Pseq([2, 2, 2, 2, 2, 2, 5, 2], inf),
	\freq2, 2,
	\sel2, 3,
	\selFreq2, 0,

	\amp3, Pkey(\freq)*0.5,
	\freq3, 1,
	\sel3, 3,
	\selFreq3, 1,

	\distMix, Pseq([Pseries(-1, 1/32, 32), Pseries(0, -1/32, 32)], inf),
	\distFreq, c.beatDur,
	\distDeep, Pseq([Pseries(0.5, 1/64, 64), Pseries(1.5, -1/64, 64)], inf)
));

Pdef(\plant, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\amp, 0.1,
	\det, 0.9,
	\degree, Pseq([0, 0, 0, 1, 2, 2, 2, 2, 0, 0, 0, 1, 2, 2, 2, 1], inf),
	\scale, Scale.lydian,
	\octave, 5,
	\legato, 0.3,
	\atk, 0.001,
	\rel, Pseq([Pn(0.1, 8), Pn(1.1, 8)], inf),

	\sel, Pseq([Pseries(3, 1/16, 16)], inf),
	\selFreq, Pseq([0.4, 0.4, 0.4, 1.4], inf)*c.beatDur*13.3333,

	\amp2, Pseq([2, 2, 2, 2, 2, 2, 5, 2], inf),
	\freq2, 2,
	\sel2, 3,
	\selFreq2, 0,

	\amp3, Pkey(\freq)*0.5,
	\freq3, 1,
	\sel3, 3,
	\selFreq3, 1,

	\distMix, Pseq([Pseries(-1, 1/32, 32), Pseries(0, -1/32, 32)], inf),
	\distFreq, c.beatDur,
	\distDeep, Pseq([Pseries(0.5, 1/64, 64), Pseries(1.5, -1/64, 64)], inf)
));

Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, 0.5,
	\amp, 0.3,
	\atk, 0,
	\degree, 0,
	\octave, 3,
	\legato, 0.12
));
Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, 0.125,
	\amp, Pseq([1, 0, 1, 0, 1, 0, 0.5, 1, 0, 1, 0, 1, 0.5, 0.5, 0, 0], inf)*0.1,
	\atk, 0,
	\degree, 0,
	\octave, 3,
	\legato, 0.1,
	\amp2, Pseq([Pn(4000, 12), 5000], inf),
	\freq2, Pseq([Pn(100, 14), 1000, Pn(100, 7), 2000], inf),
	\distMix, Pseq([Pseries(-1, 1/96, 96), Pseries(0, -1/96, 96)], inf)
));
Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\amp, Pseq([0, 1, 0, 1, 0, 1, 0.4, 1], inf)*0.12,
	\atk, 0,
	\degree, Pseq([0, 0, 2], inf),
	\pan, Pseq([-1, 0, 1, 0], inf)*0.4,
	\octave, Pstutter(8, Pseq([4, 5, 6, 7, 8, 7, 6, 5], inf)),
	\legato, 0.1,
	\rel, 0.12,
	\amp2, Pseq([Pn(1000, 15), 2000], inf),
	\freq2, Pseq([Pn(200, 31), 150, Pn(200, 15), 100], inf),
	\distMix, Pseq([Pseries(-1, 1/72, 72), Pseries(0, -1/72, 72)], inf)
));

Pdef(\pad, Pbind(
	\instrument, \redMond,
	\dur, 1,
	\amp, Pseq([Pn(0.14, 32), Pn(0, 8)], inf),
	\pan, 0.4,
	\det, 0.9,
	\degree, Pseq([6, 5, 5, 4, 4, 3, 2, 2, 2, 2, 2, 1, 2, 2, 2, 2], inf),
	\scale, Scale.lydian,
	\octave, 5,
	\legato, 0.5,
	\atk, 0.01,
	\rel, Pseq([Pn(0.1, 8), Pn(1.1, 8)], inf),

	\sel, Pseq([Pseries(3, 1/16, 16)], inf),
	\selFreq, Pseq([0.4, 0.4, 0.4, 1.4], inf)*c.beatDur*10,

	\amp2, Pseq([2, 2, 2, 2, 2, 2, 5, 2], inf),
	\freq2, 2,
	\sel2, 3,
	\selFreq2, 0
));
Pdef(\pad2, Pbind(
	\instrument, \redMond,
	\dur, 2,
	\amp, Pseq([Pn(0, 16), Pn(0.1, 32), Pn(0, 32)], inf),
	\pan, -0.4,
	\det, 0.9,
	\degree, Pseq([6, 5, 4, 3, 4, 2, 4, 2, 2, 1, 2, 2, 2, 2], inf),
	\scale, Scale.lydian,
	\octave, 6,
	\legato, 0.5,
	\atk, 0.1,
	\rel, Pseq([Pn(0.1, 8), Pn(1.1, 8)], inf),

	\sel, Pseq([Pseries(3, 1/16, 16)], inf),
	\selFreq, Pseq([0.4, 0.4, 0.4, 1.4], inf)*c.beatDur*10,

	\amp2, Pseq([2, 2, 2, 2, 2, 2, 5, 2], inf),
	\freq2, 2,
	\sel2, 3,
	\selFreq2, 0
));
)

Pdef.clear