(
s.waitForBoot{
	Pdef.clear;
	c= TempoClock(130/60);
	Pdef(\bd).play(c, quant:8);
	Pdef(\hh).play(c, quant:8);
	Pdef(\sn).play(c, quant:8);
	Pdef(\kraft).play(c, quant:8);
	Pdef(\werk).play(c, quant:8);
}
)

(
Pdef(\kraft, Pbind(
	\instrument, \redMond,
	\freq, 0.74,
	\amp, 0.074,
	\dur, Pseq([2, 2, 4], inf),
	\amp2, Pseq([174, 274, 774, 0.74, 0.74, 0.74], inf)*2,
	\freq2, Pkey(\amp2)*(2/3),
	\ringMix, 1,
	\ringFreq, Pkey(\amp2)*Pstutter(16, Pseq([0.5, 1], inf)),
	\distMix, Pseq([-1, -0.5, -0.5, 0, 0, 0, 0.5, 1, 1], inf),
	\distFreq, Pkey(\amp2)*Pstutter(8, Pseq([0.5, 1.5, 1], inf)),
	\distDeep, Pseq([Pseries(0, 0.0025, 400), Pseries(1, -0.0025, 400)], inf)+0.1
));

Pdef(\werk, Pbind(
	\instrument, \redMond,
	\freq, 74,
	\amp, 0.074,
	\dur, Pseq([0.25, 0.5, 1, 1, 1, 0.25, 0.5, 0.5, 4], inf),
	\legato, 0.3,
	\amp2, Pseq([174, 274, 774, 0.74, 0.74, 0.74], inf),
	\freq2, 174,
	\ringMix, 1,
	\ringFreq, Pseq([174, 274, 774, 0, 0, 0], inf)*Pstutter(16, Pseq([1, 2], inf)),
	\distMix, Pseq([Pseries(0, 0.02, 200), Pseries(1, -0.02, 200)], inf)-1,
	\distFreq, Pkey(\amp2),
	\distDeep, Pseq([Pseries(0, 0.01, 100), Pseries(1, -0.01, 100)], inf)+0.05
));
)

(
Pdef(\bd, Pbind(
	\instrument, \redMond,
	\dur, Pseq([1, 1, 1, 0.5, 0.5], inf),
	\amp, Pseq([1, 1, 1, 1, 0.5], inf)*0.2,
	\legato, Pseq([0.1, 0.1, 0.1, 0.8, 0.5], inf),
	\atk, 0,
	\rel, 0.01,
	\freq, Pseq([Pn(74, 14), 174, 74], inf),
	\distMix, Pseq([Pn(-1, 64), Pseries(-1, 1/64, 64), Pseries(1, -1/16, 16)], inf)
));

Pdef(\hh, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\amp, Pseq([0, 0.06, 0.1, 0.04], inf)*0.6,
	\legato, Pseq([Pn(0.15, 32), Pseq([0.15, 0.3], 32), Pn(0.15, 32), Pseq([0.15, 0.6], 32)], inf),
	\pan, Pseq([-0.4, 0.4], inf),
	\atk, 0,
	\rel, 0.01,
	\freq, Pseq([Pseries(0, 0.005, 200), Pseries(1, -0.005, 200)], inf)*100+74,
	\distMix, -0.6,
	\amp2, 774,
	\freq2, 774
));

Pdef(\sn, Pbind(
	\instrument, \redMond,
	\dur, 0.25,
	\amp, Pseq([0.1, 0, 0.1, 0, 0, 0.1, 0, 0.1], inf),
	\legato, Pseq([Pn(0.3, 128), Pn(0.7, 128)], inf),
	\atk, 0,
	\rel, Pseq([0.01, 0.09], inf),
	\freq, 74,
	\distMix, 0.9,
	\distDeep, Pseq([Pseries(0, 0.0025, 400), Pseries(1, -0.0025, 400)], inf)+0.1,
	\amp2, 474,
	\freq2, 474
));
)

Pdef.clear